# List

Launch stage: GA

`GET /api/disaster-recovery/v1/{parent=accounts/*}/failover-groups`

List failover groups.

 List entries are abbreviated: `state` and `replication_point` are not
 populated. Call GetFailoverGroup to retrieve the full resource.

API scopes: disaster-recovery

Clouds: AWS, Azure

## Path parameters

- `parent` (string, optional)
  The parent resource. Format: accounts/{account_id}.

## Query parameters

- `page_size` (int32, optional)
  Maximum number of failover groups to return per page:
   - when set to a value greater than 0, the page length is the minimum of this value
     and a server configured value;
   - when set to 0 or unset, the page length is set to a server configured value
     (recommended);
   - when set to a value less than 0, an invalid parameter error is returned.
- `page_token` (string, optional)
  Page token received from a previous ListFailoverGroups call.
   Provide this to retrieve the subsequent page.

## Returns

Returns a list of FailoverGroup objects.

## Response

```json
{
  "failover_groups": [
    {
      "name": "string",
      "effective_primary_region": "string",
      "regions": [
        "string"
      ],
      "workspace_sets": [
        {}
      ],
      "unity_catalog_assets": {},
      "state": "string",
      "etag": "string",
      "create_time": "string",
      "update_time": "string",
      "replication_point": "string",
      "initial_primary_region": "string"
    }
  ],
  "next_page_token": "string"
}
```

